Bug 673162 - RFE: add systemtap static probes to Ruby
Summary: RFE: add systemtap static probes to Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ruby
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Vít Ondruch
QA Contact: Aleš Mareček
URL:
Whiteboard:
Depends On: 673161 784766
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-27 15:36 UTC by William Cohen
Modified: 2012-01-27 09:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 673161
Environment:
Last Closed: 2011-12-06 12:07:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1581 0 normal SHIPPED_LIVE Low: ruby security, bug fix, and enhancement update 2011-12-06 00:38:54 UTC

Description William Cohen 2011-01-27 15:36:12 UTC
+++ This bug was initially created as a clone of Bug #673161 +++

A number of packages have included runtime support for systemtap in Fedora such as the JVM and Python. SystemTap makes use of the probe points added for DTRACE. There are similar patches for Ruby to provide SystemTap probes for Ruby 1.9.2:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=26235

Older patches for Ruby 1.8.7 are available (https://gist.github.com/86895 and http://joyeur.com/2007/05/07/dtrace-for-ruby-is-available/)

An preliminary srpm based off of RHEL6 Ruby using the older 1.8.7 patches has been built and used successfully with trace Ruby program execution:

http://people.redhat.com/wcohen/ruby/ruby-1.8.7.299-6.el6.dtrace_20.src.rpm

It would be very nice to have the instrumentation points available in Ruby.

Comment 2 RHEL Program Management 2011-02-01 06:22:02 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Vít Ondruch 2011-02-01 09:48:52 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=673161#c3 , the license for this patch is not clear, therefore I postpone this issue for RHEL 6.2

Comment 5 Vít Ondruch 2011-06-13 15:48:16 UTC
The license should be same as Ruby's license, since it was already applied upstream and later reverted. I cannot imagine that they will publish something, request merge to Ruby with some different license.

Comment 11 errata-xmlrpc 2011-12-06 12:07:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1581.html


Note You need to log in before you can comment on or make changes to this bug.